%
% Demo motion blur with Radon Transform
%
% written by: joao.oliveira@lx.it.pt
% Date: 21/10/2008

%Generate blur kernel

angle=30;
length=5;
h=motion(length,angle);

% original image
x=double(imread('cameraman.tif'));

% a bit of noise
sigma=0.5; 
% Blured noisy image
y=conv2c(x,h)+sigma*randn(256);

% Estimate motion blur parameters
[h_angle,h_length]=estimate_motion(y);

