function [h_size, funcao,h_orig]=motion_length(radon_line,angle,image_size,step)
% Function motion_length
% Returns the estimated length from the radon transform for angle
%
% Usage: [h_size]=motion_length(radon_image,angle)

% radon_line(find(radon_line==0))=[];

mid_elemt=round(length(radon_line)/2);

radon_line=radon_line(mid_elemt:end);

[minimo,funcao]=first_lobe(radon_line,step);
h_orig=minimo;
% plot(radon_line)
if (angle<=45)
    correccao=cos(angle*pi/180);
elseif (angle>45 & angle<=135)
    correccao=sin(angle*pi/180);
elseif (angle>135)
    correccao=-cos(angle*pi/180);
end

h_size=round(image_size(1)/minimo*correccao);

function [indice, funcao]=first_lobe(sinal,step)
% function [indice, funcao]=first_lobe(sinal,step)



h=length(sinal);

% [valor,indice]=max(sinal);
% 
% sinal=diff(sinal(indice:end));
sinal=diff(sinal);
aux_sinal=sinal;

indices=find(aux_sinal>=0);
aux_sinal(indices)=aux_sinal(indices)*step;

funcao=cumsum(aux_sinal);
[valor, indice]=min(funcao);
